
///    (Brenkman Andrey)
///   27.02.2009
///    70%


#include "linux-compat.h"

///!
#include "constants_header.h"
#include "move_list_struct.h"
#include "pv_line_struct.h"

///   

namespace PV_save
{

///  
//////////////////////////////////////////////////////////////////////////////////////
//private:

//////////////////////////////////////////////////////////////////////////////////////
//public:

	///---------------------------------------------------------------------------
	///   
	struct PV_line & get_pv_best();

	///---------------------------------------------------------------------------
	///   
	struct PV_line & get_pv_current();

	///---------------------------------------------------------------------------
	///      
	void update_PV_best_point
	(
		struct PV_line & PV_best_point///     
	);

	///---------------------------------------------------------------------------
	///    
	void update_PV_best
	(
		const struct PV_line & PV_best_point///     
	);

	///---------------------------------------------------------------------------
	///       
	void update_PV_best_max_depth
	(
		const int32_t & score,///     
		const uint8_t & depth///  
	);

	///---------------------------------------------------------------------------
	///     
	void update_PV_current
	(
		const uint8_t & i,///     
		const uint8_t & depth,///  
		const struct List & list_surplus_moves///  
	);

	///---------------------------------------------------------------------------
	///    
	void print_currmove
	(
		const struct List & list_surplus_moves,///  
		const uint8_t nodes_0,///     
		const uint8_t i,///    
		const uint8_t Depth_Max///  
	);

	///---------------------------------------------------------------------------
	///     
	void print_pv_line
	(
		const bool colour_move,///   
		const struct List & list_surplus_moves,///  
		const struct PV_line & PV_best_point,///  
		const int64_t print_nodes,///  
		const uint8_t i,///    
		const uint8_t Depth_Max,///  
		const int32_t value,///  
		const bool all_line///   
		//,const double time_nodes//   
	);


//////////////////////////////////////////////////////////////////////////////////////
//public:

	///-----------------------------------------------------------------
	///        9.01.06 
	///     :)) 
	///     
	/// 0- , 1-, 2-, 3-, 4-, 5-, 6-	
	int8_t int_to_char_board
	(
		const int i,///  
		const int z///  
	);

	///---------------------------------------------------------------------------
	///	        0 - '', 1 - 'b', ..., 7 - 'h'	
	int8_t x_to_notation
	(
		const int x///    (0-7)
	);

};
